## Retrieve Available Configurations

### cURL

```
curl --request GET \
  --url https://api.m3ter.com/organizations/{orgId}/integrationconfigs/available \
  --header 'Authorization: Bearer <token>'
```

### Python

```
import requests

url = "https://api.m3ter.com/organizations/{orgId}/integrationconfigs/available"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.m3ter.com/organizations/{orgId}/integrationconfigs/available', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```


```

### HTTP Response Codes

- **200**
- **4XX**
- **5XX**

### Sample Responses

```
{
  "supportedEntities": {},
  "selectedConfigurations": {},
  "globalConfigurationOptions": {
    "empty": true
  }
}
```

```
{
  "message": "<string>"
}
```

```
{
  "message": "<string>"
}
```

### Authorizations

- **Authorization**  
  - Type: string  
  - Location: header  
  - Required: Yes

m3ter supports machine to machine authentication using the `clientCredentials` OAuth2 flow.

### Path Parameters

- **orgId**  
  - Type: string  
  - Required: Yes  
  - Description: The unique identifier (UUID) of your Organization. The Organization represents your company as a direct customer of our service.

### Query Parameters

- **systemName**  
  - Type: string  
- **entityType**  
  - Type: string

### Response

- **200**  
  - Content-Type: application/json  
  - Description: Returns the configuration details  
- Response containing available configuration options for integrations.

### Response Structure

- **supportedEntities**  
  - Type: object  
  - Required: Yes  
- **selectedConfigurations**  
  - Type: object  
  - Required: Yes  
- **globalConfigurationOptions**  
  - Type: object  
  - Required: Yes
